Arch GebäudeTeil

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch BuildingPart and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский
Arrow-left.svg Vorherige: Arch Floor.svg Geschoss
Nächste: Gebäude Arch Building.svg Arrow-right.svg

Arch BuildingPart.svg Architektur GebäudeTeil

Menüeintrag
Arch → Gebäudeteil
Arbeitsbereich
Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
0.18
Siehe auch
Arch Gebäude, Arch Baugrund

Beschreibung

Der GebäudeTeil ersetzt das alte Arch Geschoss und Arch Gebäude Werkzeug durch eine leistungsfähigere Version, mit der nicht nur Geschosse/Etagen/Ebenen, sondern auch alle Arten von Situationen erstellt werden können, in denen verschiedene Architektur/BIM Objekte gruppiert werden sollen und das diese Gruppe als ein Objekt behandelt oder nachgebildet werden soll.

Anwendung

  1. Wähle wahlweise ein oder mehrere Objekte, die in dein neues Gebäude Teil eingeschlossen werden sollen.
  2. Drücke die Arch BuildingPart.svg Arch GebäudeTeil Schaltfläche.

Hinweise

GebäudeTeile haben eine eingebaute, implizite Arch SchnittEbene. introduced in version 0.19

Diese Ebene ist immer parallel zur GebäudeTeil Basisebene, aber du kannst den Versatz zwischen ihnen angeben. Daher arbeiten alle Werkzeuge, die mit einer Schnittebene arbeiten, wie z.B. Entwurf Form2DAnsicht und TechDraw ArchAnsicht auch mit GebäudeTeilen.

Optionen

  • Nach der Erstellung eines GebäudeTeil kannst du weitere Objekte durch Ziehen und Ablegen in der Baumansicht oder mit dem Arch Add.svg Arch Hinzufügen Werkzeug verwenden.
  • Du kannst Objekte, durch Ziehen und Ablegen aus der Baumansicht heraus oder durch verwenden des 16px Arch Entfernen Werkzeugs aus einem GebäudeTeil entfernen.
  • Durch doppelklicken auf das GebäudeTeil Objekt in der Baumansicht wird die Working Plane auf dessen Stelle gesetzt, und das BuildingPart wird aktiv, was bedeutet daß neue Objekte automatisch dazu hinzugefügt werden.

Erneutes Doppelklicken auf das GebäudeTeil deaktiviert es und setzt die Arbeitsebene wieder auf die vorherige Position zurück (in Version 0.19, damit diese Option verfügbar ist, muss sie als true gesetzt werden, im Paneel Ansichtseigenschaften - Interaktion - Doppelklick aktiviert es).

  • Das GebäudeTeil kann in der 3D Ansicht eine Markierung mit einer Beschriftung und einer Niveauanzeige anzeigen.
  • Wenn ein GebäudeTeil verschoben/gedreht wird, werden alle seine Kinder, die entweder keine DatenBewegen mit dem Bereitsteller Eigenschaft haben oder diese aktiviert haben, gemeinsam verschoben/gedreht.
  • Gebäudeteile können Entwurf Klone sein.
  • Gebäudeteile können jeden IFC Typ annehmen. Ihre Eigenschaft IFC Typ bestimmt ihre Verwendung. Wenn du es auf Gebäude Geschoss setzt, verhält es sich wie ein Stockwerk. Wenn du es auf Gebäude setzt, verhält es sich wie ein Gebäude, und wenn du es auf Element Baugruppe setzt, verhält es sich wie eine Baugruppe. Das Symbol ändert sich entsprechend dieser Einstellung, aber ansonsten hat es keine weiteren Auswirkungen in FreeCAD. Der Export in IFC als der eine oder andere Typ kann jedoch Auswirkungen auf andere BIM Anwendungen haben.

Eigenschaften

Daten

  • Daten-EigenschaftHöhe: Die Höhe dieses Objekts und dessen Kinderobjekte. Die Kinderobjekte können z.B. Arch Wände sein. Jede Wandhöhe muss auf 0 (Null) gesetzt werden, so dass die Höheneigenschaft des GebäudeTeil Objekts auf die darin liegenden Objekte übertragen wird.
  • Daten-EigenschaftLevelOffset: Das Niveau des (0,0,0)-Punkts dieser Ebene
  • Daten-EigenschaftArea: Die berechnete Geschossfläche dieser Etage
  • Daten-EigenschaftIfcRole: Die Rolle dieses Objekts
  • Daten-EigenschaftDescription: Eine optionale Beschreibung dieser Komponente
  • Daten-EigenschaftTag: Eine optionale Kennzeichnung dieser Komponente
  • Daten-EigenschaftIfcAttributes: Benutzerdefinierte IFC-Eigenschaften und -Attribute

Ansicht

  • Ansicht EigenschaftLinienBreite: Die Linienbreite dieses Objekts
  • Ansicht EigenschaftAufhebenEinheit: Eine optionale Einheit, um Niveaus auszudrücken
  • Ansicht EigenschaftAnzeigeVersatz: Eine auf die Niveaumarkierung anzuwendende Transformation
  • Ansicht EigenschaftZeigeNiveau: Falls true, zeige das Niveau
  • Ansicht EigenschaftZeigeEinheit: Falls true, zeige die Einheit auf der Niveaumarkierung
  • Ansicht EigenschaftSetzeArbeitsEbene: Falls true, wird bei Aktivierung die Arbeitsebene automatisch auf dieses Gebäudeteil angepasst
  • Ansicht EigenschaftUrsprungVersatz: Falls true, wird bei Aktivierung der Ansichtsabstand auch die Ursprungsmarkierung beeinflussen
  • Ansicht EigenschaftAnzeigeMarkierung: Falls true, wird bei Aktivierung die Objektkennzeichnung angezeigt
  • Ansicht EigenschaftSchriftName: Die für Text zu benutzende Schriftart
  • Ansicht EigenschaftSchriftGröße: Die Schriftgröße für Text
  • Ansicht EigenschaftWiederherstellenAnsicht: Falls gesetzt, wird die in diesem Objekt gespeicherte Sicht bei Doppelklick wiederhergestellt
  • Ansicht EigenschaftDiffuseFarbe: Die individuelle Flächenfarbe

introduced in version 0.19

  • AnsichtKinderAufhaben: Wenn gesetzt, werden die folgenden Einstellungen die Kinder dieses Gebäudeteils beeinflussen
  • AnsichtKinderLinienBreite: Die auf die Kinder des Gebäudeteils anzuwendende Linienbreite
  • AnsichtKinderLinienFarbe: Die auf die Kinder des Gebäudeteils anzuwendende Linienfarbe
  • AnsichtKinderFormFarbe: Die auf die Kinder des Gebäudeteils anzuwendende Formfarbe
  • AnsichtKinderTransparenz: Die auf die Kinder des Gebäudeteils anzuwendende Transparenz

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Das Gebäudeteil-Werkzeug kann sowohl in Makros als auch aus der Python-Konsole heraus über folgende Funktion angesprochen werden:

BuildingPart = makeBuildingPart(objectslist=None)
  • Erzeugt ein Building-Objekt aus objectslist, einer Liste von Objekten.

Beispiel:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()


Arrow-left.svg Vorherige: Arch Floor.svg Geschoss
Nächste: Gebäude Arch Building.svg Arrow-right.svg